# QNetworkInterface Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QNetworkInterface()
- void QNetworkInterface(QNetworkInterface other)

### Constructor Properties

- prototype: The QNetworkInterface prototype object
- List allAddresses()
- List allInterfaces()
- QNetworkInterface interfaceFromIndex(int index)
- QNetworkInterface interfaceFromName(String name)
- IsUp = 0x1
- IsRunning = 0x2
- CanBroadcast = 0x4
- IsLoopBack = 0x8
- IsPointToPoint = 0x10
- CanMulticast = 0x20
- InterfaceFlag( value )
- InterfaceFlags( value1, value2, ... )

### Prototype Object Properties

- List addressEntries()
- InterfaceFlags flags()
- String hardwareAddress()
- String humanReadableName()
- int index()
- bool isValid()
- String name()

### Instance Properties

QNetworkInterface objects have no special properties beyond those inherited from the QNetworkInterface prototype object.